use crate::GeoffreyDatabaseModel;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone, Hash, Eq, PartialEq)]
pub struct DBMetadata {
    pub version: u64,
}

impl GeoffreyDatabaseModel for DBMetadata {
    fn id(&self) -> Option<u64> {
        Some(1)
    }

    fn set_id(&mut self, _id: u64) {}

    fn tree() -> String {
        "DBMetadata".to_string()
    }
}
