use std::collections::HashSet;

use serde::{Deserialize, Serialize};

use crate::models::item::ItemListing;

#[derive(Serialize, Deserialize, Debug, Clone, Default)]
pub struct Shop {
    pub item_listings: HashSet<ItemListing>,
}
